.\" $NetBSD: pcdisplay.4,v 1.7 2003/06/26 10:31:29 wiz Exp $
.\"
.\" Copyright (c) 1999
.\" 	Matthias Drochner.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd March 20, 1999
.Dt PCDISPLAY 4
.Os
.Sh NAME
.Nm pcdisplay
.Nd PC display adapter driver for wscons
.Sh SYNOPSIS
.Cd options PCDISPLAY_SOFTCURSOR
.Pp
.Cd "pcdisplay0 at isa?"
.Cd "wsdisplay* at pcdisplay? console ?"
.Sh DESCRIPTION
This driver supports PC display adapter hardware within the
.Xr wscons 4
console framework. It doesn't provide direct device
driver entry points but makes its functions available via
the internal
.Xr wsdisplay 4
interface.
.Pp
The
.Nm
driver is intended as a minimal
.Dq catch-all
driver for the different kinds of
.Tn MDA
or
.Tn CGA
compatible adapters. It doesn't support multiple screens, nor
colors or font loading.
.Pp
Supported kernel option(s):
.Bl -tag -width xxxx
.It Cd options PCDISPLAY_SOFTCURSOR
Use a large, non-blinking cursor generated by software. The default is to use
the cursor provided by the underlying display hardware.
.El
.Sh SEE ALSO
.Xr isa 4 ,
.Xr vga 4 ,
.Xr wscons 4
